[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TMasterDataLink.Create

Create a new instance of TMasterDataLink

## Declaration

Source position: db.pas line 1760

`public constructor TMasterDataLink.Create(`
`ADataSet: TDataSet`
`); virtual;`

## Arguments

`ADataSet` |  | Detail dataset of the master-detail relation.

## Description

Create initializes a new instance of TMasterDataLink. The ADataset parameter is the detail dataset in the master-detail relation: it is saved in the DetailDataset property. The master dataset must be set through the DataSource property, and is usually set by the applictaion programmer.

## See also

TDetailDataLink.DetailDataset |  | Detail dataset in Master-detail relation
TDatalink.Datasource |  | Datasource this datalink is connected to

Documentation generated on: Feb 26 2014